Package twisted :: Package flow :: Module stage :: Class Zip

[frames | no frames]

## Class Zip

    Instruction --+
                  |
              Stage --+
                      |
                    Map --+
                          |
                         Zip

Zips two or more stages into a stream of N tuples

source = flow.Zip([1,flow.Cooperate(),2,3],["one","two"]) printFlow(source)

Method Summary
| `__init__(self, *stages)`
Inherited from Map
| ``_yield`(self)` executed during a yield statement by previous stage
Inherited from Stage
| ``__iter__`(self)`
| ``next`(self)` return current result

Generated by Epydoc 2.0 on Sat May 15 20:07:44 2004 | http://epydoc.sf.net